## ANGLE Phase Angle Function

Section: Mathematical Functions

### Usage

Compute the phase angle in radians of a complex matrix. The general syntax for its use is

      p = angle(c)

where `c` is an `n`-dimensional array of numerical type.

### Function Internals

For a complex number `x`, its polar representation is given by

and we can compute

### Example

Here are some examples of the use of `angle` in the polar decomposition of a complex number.

    --> x = 3+4*i

    x =

        3.0000 +  4.0000i

    --> a = abs(x)

    a =

     5

    --> t = angle(x)

    t =

        0.9273

    --> a*exp(i*t)

    ans =

        3.0000 +  4.0000i

    -->
    quit

M version contributor: M.W. Vogel 01-30-06